For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
      • GETGet receipts
      • POSTCreate a receipt
      • POSTUpload a receipt from a file
      • GETGet a receipt by ID
      • DELDelete a receipt
      • PATCHUpdate a receipt
      • POSTAttach a file to a receipt
      • GETGet all line items of a receipt
      • POSTAdd a new line item to a receipt
      • DELDelete a line item from a receipt
      • PATCHUpdate a line item of a receipt
  • Utilities
LogoLogo
API StatusPartner Portal
Expense managementReceipts

Add a new line item to a receipt

POST
/receipts/:receipt_id/line_items
POST
/v1/receipts/:receipt_id/line_items
$curl -X POST https://api.sandbox.monite.com/v1/receipts/receipt_id/line_items \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "id": "id",
3 "created_at": "2024-01-15T09:30:00Z",
4 "updated_at": "2024-01-15T09:30:00Z",
5 "receipt_id": "receipt_id",
6 "accounting_tax_rate_id": "accounting_tax_rate_id",
7 "cost_center_id": "cost_center_id",
8 "created_by_entity_user_id": "created_by_entity_user_id",
9 "ledger_account_id": "ledger_account_id",
10 "name": "name",
11 "total": 1
12}
Was this page helpful?
Previous

Delete a line item from a receipt

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

receipt_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
accounting_tax_rate_idstringOptionalformat: "uuid"
Accounting tax rate ID.
cost_center_idstringOptionalformat: "uuid"
Cost center ID.
ledger_account_idstringOptionalformat: "uuid"
Ledger account ID.
namestringOptional

Line item name/description.

totalintegerOptional
Line item total in minor units.

Response

Successful Response
idstringformat: "uuid"
Unique line item ID.
created_atdatetime
Created at.
updated_atdatetime
Updated at.
receipt_idstringformat: "uuid"
Receipt ID.
accounting_tax_rate_idstringformat: "uuid"
Accounting tax rate ID.
cost_center_idstringformat: "uuid"
Cost center ID.
created_by_entity_user_idstringformat: "uuid"
Created by user.
ledger_account_idstringformat: "uuid"
Ledger account ID.
namestring
Line item name.
totalinteger
Total.

Errors

401
Post Receipts ID Line Items Request Unauthorized Error
403
Post Receipts ID Line Items Request Forbidden Error
404
Post Receipts ID Line Items Request Not Found Error
422
Post Receipts ID Line Items Request Unprocessable Entity Error
500
Post Receipts ID Line Items Request Internal Server Error